#!/bin/sh
# ========================================================
# Record this session' start time
if [ -e /.myControl/startTime ]; then
	. /.myControl/startTime
fi
# Record this day's total uptime
if [ -e /.myControl/upTime ]; then
	. /.myControl/upTime
fi

# Give you 5 more minutes,
deadTime=7500   # 2 hours and 5 minutes

now=$(perl -e "print time()")
(( uptimeNow = now - startTime ))
(( interval = uptimeNow - uptimeLast ))

# Update /.myControl/upTime
(( totalUptime += interval ))
echo "totalUptime=$totalUptime" > /.myControl/upTime
echo "uptimeLast=$uptimeNow" >> /.myControl/upTime

if [ $totalUptime -ge $deadTime ] && [ ! -e /.myControl/nostart ]; then
	touch /.myControl/nostart
fi

# Show this message when uptime > 2 hours
timeUp=$(echo "$totalUptime/3600 > 2"|bc -l)
if [ $timeUp -ge 1 ]; then
	zenity --display :0 --warning --text="Time is up\n please save your data and shutdown you computer" 
fi

exit 0
